Page MenuHomePhabricator

Toolbars should have a heavy shadow on their bottom in the MediaWiki theme
Closed, ResolvedPublic

Description

4 pixel line under the toolbar
black at 15% opacity

Event Timeline

Jdforrester-WMF raised the priority of this task from to Medium.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF changed Security from none to None.
matmarex claimed this task.Dec 11 2014, 7:17 PM

Got any of these mockups? Asking because "shadows" in the MediaWiki theme usually look extremely unlike real shadows.

Actually, these are implemented to spec.

This is a menu example in the UI graphics provided to create this theme. This is the most recent version of the file as of today:

Jdforrester-WMF moved this task from Backlog to Next-up on the OOUI board.Dec 11 2014, 8:21 PM
matmarex claimed this task.Dec 11 2014, 9:47 PM

Thanks Kaity! Let's do this then.

So in context, it's supposed to look like this? I can't quite tell from this mockup if the line is supposed to reach screen edges or not.

Bartosz, I think you have it right - unfortunately the mockup is based on a hypothetical skin that doesn't have a line on the left so it's unclear.

Change 179221 had a related patch set uploaded (by Bartosz Dziewoński):
MediaWiki theme: Update toolbar design

https://gerrit.wikimedia.org/r/179221

Patch-For-Review

Jdforrester-WMF closed this task as Resolved.Dec 11 2014, 9:59 PM
Jdforrester-WMF moved this task from Next-up to Doing on the OOUI board.

Change 179221 merged by jenkins-bot:
MediaWiki theme: Add thematic border to the bottom of toolbars

https://gerrit.wikimedia.org/r/179221

Jdforrester-WMF moved this task from Freezer to Q4 on the VisualEditor board.Jan 7 2015, 9:20 PM
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:59 PM